% Rule-base for the Mamdani's FLC demo.

% (c) Robert Babuska, March 1994

#input error
        NEGATIVE     #mf       1      -2      -2  -0.399   0.008
        ZERO         #mf       1   -0.46  -0.016   0.021   0.468
        POSITIVE     #mf       1  -0.008   0.399       2       2

#input output change
        NEGATIVE     #mf       1      -2      -2  -0.783   0.008
        ZERO         #mf       1  -0.439  -0.012   0.012   0.439
        POSITIVE     #mf       1  -0.008   0.783       2       2

#output control input
        NEGATIVE     #mf       1     -10     -10   -6.87    0.08
        ZERO         #mf       1   -4.68   -0.12    0.12    4.68
        POSITIVE     #mf       1   -0.08    6.87      10      10

#rules

% proportional rules
 If error is POSITIVE then control input is POSITIVE;
 If error is NEGATIVE then control input is NEGATIVE;

% derivative rules
 If output change is POSITIVE then control input is POSITIVE;
 If output change is NEGATIVE then control input is NEGATIVE;

% steady state rule
 If error is ZERO and output change is ZERO then control input is ZERO;
