% Demo - modeling a nonlinear system with Sugeno's fuzzy model.

% (c) Robert Babuska, March 1994

load phdata.mat /ascii; 
t = phdata(:,1); u = phdata(:,2); y = phdata(:,3);
ur = regres(u,1); yr = regres(y,1);
y1 = yr(:,1); y = yr(:,2); u = ur(:,2); inputs = [y u];
mfy = mfequ(1.1*y,3,7);
dof = mgrade(y',mfy)';
p = suglms(inputs,y1,dof);

sugmodel

