function r = impl_ex(a,b,s_norm,t_norm,spar,tpar)

%       R=IMPL_PR(A,B,S_NORM,T_NORM,SPAR,TPAR) General form of extended
%       propositional calculus implication defined as
%       R = (not A * not B) + B,
%       where + is a triangular co-norm and * is a triangular norm. SPAR
%       and TPAR are t norm and co-norm parameters.
%
%       See also IMPL_MA, IMPL_PR

% (c) Robert Babuska, March 1993

a = a(:); b = b(:).';                   % make column and row vectors

if (nargin < 6)                       % params not supplied
    eval(['r = ' s_norm '(' t_norm '(not(a''),not(b))'', b);']);
    return
end;
eval(['r = ' s_norm '(' t_norm '(not(a''),not(b),tpar)'', b,spar);']);

